com.smartgwt.client.widgets.cube

## Class FacetValue

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.cube.FacetValue

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FacetValue
      extends RefDataClass

  Facet value definition object made use of by the `CubeGrid` and `FacetChart` classes (contained by facets).

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetValue()`
    `FacetValue(java.lang.Integer id)`
    `FacetValue(java.lang.Integer id, java.lang.String title)`
    `FacetValue(java.lang.Integer id, java.lang.String title, java.lang.Integer parentId)`
    `FacetValue(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `FacetValue(java.lang.String id)`
    `FacetValue(java.lang.String id, java.lang.String title)`
    `FacetValue(java.lang.String id, java.lang.String title, java.lang.String parentId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Alignment` | `getAlign()` Default alignment for facet label title and cells for this facetValue.
    `java.lang.String` | `getBorderAfter()` CSS line style to apply as a border after this facetValue.
    `java.lang.String` | `getBorderBefore()` CSS line style to apply as a border before this facetValue.
    `java.lang.Boolean` | `getCanCollapse()` For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.
    `java.lang.Boolean` | `getCanEdit()` Whether cells for this facetValue can be edited.
    `Alignment` | `getCellAlign()` Default alignment of cells (in the body) for this facetValue.
    `java.lang.Boolean` | `getCollapsed()` For tree facets, initial collapse state for this node.
    `java.lang.Object` | `getId()` id of this facetValue.
    `java.lang.Integer` | `getIdAsInt()` id of this facetValue.
    `java.lang.String` | `getIdAsString()` id of this facetValue.
    `java.lang.Boolean` | `getIsMinimizeValue()` Used to determine which facetValue is to be shown when the facet is minimized.
    `static FacetValue` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getParentId()` For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
    `java.lang.Integer` | `getParentIdAsInt()` For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
    `java.lang.Integer` | `getParentIdAsInteger()` Deprecated. in favor of `getParentIdAsInt()`.
    `SelectionBoundary` | `getSelectionBoundary()` Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.
    `java.lang.String` | `getTitle()` User-visible title of this facetValue.
    `java.lang.String` | `getTitleHilite()` Hilite style to apply to the title for this facetValue.
    `int` | `getWidth()` Width of the cube grid facetValue in pixels.
    `void` | `setAlign(Alignment align)` Default alignment for facet label title and cells for this facetValue.
    `void` | `setBorderAfter(java.lang.String borderAfter)` CSS line style to apply as a border after this facetValue.
    `void` | `setBorderBefore(java.lang.String borderBefore)` CSS line style to apply as a border before this facetValue.
    `void` | `setCanCollapse(java.lang.Boolean canCollapse)` For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.
    `void` | `setCanEdit(java.lang.Boolean canEdit)` Whether cells for this facetValue can be edited.
    `void` | `setCellAlign(Alignment cellAlign)` Default alignment of cells (in the body) for this facetValue.
    `void` | `setCollapsed(java.lang.Boolean collapsed)` For tree facets, initial collapse state for this node.
    `void` | `setId(java.lang.Integer id)` id of this facetValue.
    `void` | `setId(java.lang.String id)` id of this facetValue.
    `void` | `setIsMinimizeValue(java.lang.Boolean isMinimizeValue)` Used to determine which facetValue is to be shown when the facet is minimized.
    `void` | `setParentId(java.lang.Integer parentId)` For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
    `void` | `setParentId(java.lang.String parentId)` For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
    `void` | `setSelectionBoundary(SelectionBoundary selectionBoundary)` Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.
    `void` | `setTitle(java.lang.String title)` User-visible title of this facetValue.
    `void` | `setTitleHilite(java.lang.String titleHilite)` Hilite style to apply to the title for this facetValue.
    `void` | `setWidth(int width)` Width of the cube grid facetValue in pixels.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetValue

          public FacetValue()

    - #### FacetValue

          public FacetValue(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### FacetValue

          public FacetValue(java.lang.String id)

    - #### FacetValue

          public FacetValue(java.lang.String id,
                            java.lang.String title)

    - #### FacetValue

          public FacetValue(java.lang.String id,
                            java.lang.String title,
                            java.lang.String parentId)

    - #### FacetValue

          public FacetValue(java.lang.Integer id)

    - #### FacetValue

          public FacetValue(java.lang.Integer id,
                            java.lang.String title)

    - #### FacetValue

          public FacetValue(java.lang.Integer id,
                            java.lang.String title,
                            java.lang.Integer parentId)

  - ### Method Detail

    - #### getOrCreateRef

          public static FacetValue getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setAlign

          public void setAlign(Alignment align)

      Default alignment for facet label title and cells for this facetValue. Can be overridden by setting titleAlign or cellAlign on the facetValue.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.facetValueAlign`).

      Parameters:
        `align` - New align value. Default value is null

    - #### getAlign

          public Alignment getAlign()

      Default alignment for facet label title and cells for this facetValue. Can be overridden by setting titleAlign or cellAlign on the facetValue.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.facetValueAlign`).

      Returns:
        Current align value. Default value is null

    - #### setBorderAfter

          public void setBorderAfter(java.lang.String borderAfter)

      CSS line style to apply as a border after this facetValue.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `borderAfter` - New borderAfter value. Default value is null

    - #### getBorderAfter

          public java.lang.String getBorderAfter()

      CSS line style to apply as a border after this facetValue.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current borderAfter value. Default value is null

    - #### setBorderBefore

          public void setBorderBefore(java.lang.String borderBefore)

      CSS line style to apply as a border before this facetValue.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `borderBefore` - New borderBefore value. Default value is null

    - #### getBorderBefore

          public java.lang.String getBorderBefore()

      CSS line style to apply as a border before this facetValue.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current borderBefore value. Default value is null

    - #### setCanCollapse

          public void setCanCollapse(java.lang.Boolean canCollapse)

      For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canCollapseFacets`).

      Parameters:
        `canCollapse` - New canCollapse value. Default value is true

    - #### getCanCollapse

          public java.lang.Boolean getCanCollapse()

      For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canCollapseFacets`).

      Returns:
        Current canCollapse value. Default value is true

    - #### setCanEdit

          public void setCanEdit(java.lang.Boolean canEdit)

      Whether cells for this facetValue can be edited. Defaults to `CubeGrid.canEdit`.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `canEdit` - New canEdit value. Default value is cubeGrid.canEdit

    - #### getCanEdit

          public java.lang.Boolean getCanEdit()

      Whether cells for this facetValue can be edited. Defaults to `CubeGrid.canEdit`.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current canEdit value. Default value is cubeGrid.canEdit

    - #### setCellAlign

          public void setCellAlign(Alignment cellAlign)

      Default alignment of cells (in the body) for this facetValue.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.cellAlign`).

      Parameters:
        `cellAlign` - New cellAlign value. Default value is facet.cellAlign

    - #### getCellAlign

          public Alignment getCellAlign()

      Default alignment of cells (in the body) for this facetValue.

      Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.cellAlign`).

      Returns:
        Current cellAlign value. Default value is facet.cellAlign

    - #### setCollapsed

          public void setCollapsed(java.lang.Boolean collapsed)

      For tree facets, initial collapse state for this node. Defaults to `Facet.collapsed`.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `collapsed` - New collapsed value. Default value is facet.collapsed

    - #### getCollapsed

          public java.lang.Boolean getCollapsed()

      For tree facets, initial collapse state for this node. Defaults to `Facet.collapsed`.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current collapsed value. Default value is facet.collapsed

    - #### setIsMinimizeValue

          public void setIsMinimizeValue(java.lang.Boolean isMinimizeValue)

      Used to determine which facetValue is to be shown when the facet is minimized.

      Note: This property is specific to `CubeGrids`. See `CubeGrid.canMinimizeFacets`.

      Parameters:
        `isMinimizeValue` - New isMinimizeValue value. Default value is false

    - #### getIsMinimizeValue

          public java.lang.Boolean getIsMinimizeValue()

      Used to determine which facetValue is to be shown when the facet is minimized.

      Note: This property is specific to `CubeGrids`. See `CubeGrid.canMinimizeFacets`.

      Returns:
        Current isMinimizeValue value. Default value is false

    - #### setParentId

          public void setParentId(java.lang.String parentId)

      For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

      Note: This property is specific to `CubeGrids`.

      Note : This is an advanced setting

      Parameters:
        `parentId` - New parentId value. Default value is null

    - #### getParentId

          public java.lang.String getParentId()

      For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current parentId value. Default value is null

    - #### setParentId

          public void setParentId(java.lang.Integer parentId)

      For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

      Note: This property is specific to `CubeGrids`.

      Note : This is an advanced setting

      Parameters:
        `parentId` - New parentId value. Default value is null

    - #### getParentIdAsInt

          public java.lang.Integer getParentIdAsInt()

      For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current parentId value. Default value is null

    - #### setSelectionBoundary

          public void setSelectionBoundary(SelectionBoundary selectionBoundary)

      Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `selectionBoundary` - New selectionBoundary value. Default value is null

    - #### getSelectionBoundary

          public SelectionBoundary getSelectionBoundary()

      Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current selectionBoundary value. Default value is null

    - #### setTitle

          public void setTitle(java.lang.String title)

      User-visible title of this facetValue. Shown on the field header.
      Parameters:
        `title` - New title value. Default value is null

    - #### getTitle

          public java.lang.String getTitle()

      User-visible title of this facetValue. Shown on the field header.
      Returns:
        Current title value. Default value is null

    - #### setTitleHilite

          public void setTitleHilite(java.lang.String titleHilite)

      Hilite style to apply to the title for this facetValue.

      Note: This property is specific to `CubeGrids`. See `CubeGrid.hilites`.

      Parameters:
        `titleHilite` - New titleHilite value. Default value is null

    - #### getTitleHilite

          public java.lang.String getTitleHilite()

      Hilite style to apply to the title for this facetValue.

      Note: This property is specific to `CubeGrids`. See `CubeGrid.hilites`.

      Returns:
        Current titleHilite value. Default value is null

    - #### setWidth

          public void setWidth(int width)

      Width of the cube grid facetValue in pixels.

      Note: This property is specific to `CubeGrids`.

      Parameters:
        `width` - New width value. Default value is facet.width

    - #### getWidth

          public int getWidth()

      Width of the cube grid facetValue in pixels.

      Note: This property is specific to `CubeGrids`.

      Returns:
        Current width value. Default value is facet.width

    - #### setId

          public void setId(java.lang.Integer id)

      id of this facetValue. Any string or number.
      Parameters:
        `id` - id Default value is null

    - #### setId

          public void setId(java.lang.String id)

      id of this facetValue. Any string or number.
      Parameters:
        `id` - id Default value is null

    - #### getId

          public java.lang.Object getId()

      id of this facetValue. Any string or number.
      Parameters:
        `id` - id Default value is null

    - #### getIdAsString

          public java.lang.String getIdAsString()

      id of this facetValue. Any string or number.
      Parameters:
        `id` - id Default value is null

    - #### getIdAsInt

          public java.lang.Integer getIdAsInt()

      id of this facetValue. Any string or number.
      Parameters:
        `id` - id Default value is null

    - #### getParentIdAsInteger

          public java.lang.Integer getParentIdAsInteger()

      Deprecated. in favor of `getParentIdAsInt()`.
      See `getParentIdAsInt()`.